#!/usr/bin/env python

from gevent import monkey; monkey.patch_all()

PORT = 8088

def application(env, start_response):
    print "application starts, env = ", env
    if env['REQUEST_METHOD'] == 'POST':
        start_response('200 OK', [('Content-Type', 'text/html')])
        print "now reading POST data"
        return env['wsgi.input'] # is an iterator...
    else:
        start_response('501 Not Implemented', [])
        return ['''end''']

if __name__ == '__main__':
    from gevent.pywsgi import WSGIServer
    print 'Serving on %s...' % PORT
    WSGIServer(('', PORT), application).serve_forever()

