#! /usr/bin/env python

'''
   Setup script for Mandaye
'''

import mandaye

from setuptools import setup, find_pacakges

setup(name="mandaye",
      version=mandaye.VERSION,
      license="AGPLv3 or later",
      description="Mandaye, modular reverse proxy to authenticate",
      url="http://dev.entrouvert.org/projects/reverse-proxy/",
      author="Entr'ouvert",
      author_email="info@entrouvert.org",
      maintainer="Jerome Schneider",
      maintainer_email="jschneider@entrouvert.com",
      scripts=['mandaye.py'],
      packages=find_pacakges(),
      package_data={},
      install_requires=[
          'gevent>=0.13',
          'poster>=0.8',
      ],
)
